.page {
  position: relative;
  display: flex;
  flex-direction: column;
}
main {
  flex: 1;
}
@media (min-width: 768px) {
  main {
    margin-left: 270px;
    transition: 0.5s all ease;
  }
  nav.shrink-left ~ main {
    margin-left: 0px;
  }
}
#mainSide {
  margin-bottom: 250px;
}
.sidebar {
  background-image: linear-gradient(180deg, #052767 0%, #3a0647 70%);
}
.top-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 60px;
  background-color: #f7f7f7;
  border-bottom: 1px solid #d6d5d5;
}
.top-row h2 {
  font-size: 1.45rem !important;
}
.top-row h4 {
  font-size: 1.15rem !important;
}
.top-row h2,
.top-row h4 {
  margin-right: 5px;
  margin-bottom: 0px;
  line-height: 0.9;
}
.top-row > a {
  height: 59px;
}
.top-row a {
  display: inline-block;
  margin: 0px !important;
  padding: 17px 1.5rem;
  background: #eee;
  border-left: 2px solid #e4e4e4;
  text-align: center;
  text-decoration: none;
  transition: 0.3s all ease;
}
.top-row a:last-child {
  border-right: 2px solid #e4e4e4;
}
.top-row a:hover {
  background: #e2e2e2;
}
.top-row .dropdown {
  user-select: none;
}
.top-row .dropdown > a {
  padding: 13px 1.5rem;
  cursor: pointer;
}
.top-row .dropdown:last-child > ul.dropdown-menu {
  margin-right: 5px !important;
}
.top-row .dropdown > ul.dropdown-menu {
  padding: 0px;
  box-shadow: 0px 0px 5px #ccc;
  overflow: hidden;
  /*
      transform: translate3d(150px, 63.3333px, 0px);
      transition: .3s all ease;
      */
}
.top-row .dropdown > ul.dropdown-menu > li:not(:last-child) {
  border-bottom: 1px solid #ccc;
}
.top-row .dropdown > ul.dropdown-menu > li.spacer {
  height: 5px;
}
.top-row .dropdown > ul.dropdown-menu > li > a {
  display: block;
  width: 100%;
  padding: 10px 15px;
  background: #fff;
  border-left: none;
  border-right: none;
}
.top-row .icon-circle {
  width: 35px;
  height: 35px;
  padding: 4px;
  background: transparent;
  border: 2px solid transparent;
  border-radius: 50%;
  transition: 0.3s all ease;
}
.top-row .icon-circle i {
  color: #0F70BC;
  transition: 0.3s all ease;
}
.top-row .show .icon-circle {
  background: #fff;
  border: 2px solid #ccc;
}
.top-row .show .icon-circle i {
  transform: rotate3d(1, 0, 0, -180deg);
}
.top-row > a:first-child {
  overflow: hidden;
  text-overflow: ellipsis;
}
@media (max-width: 640.98px) {
  .top-row:not(.auth) {
    display: none;
  }
  .top-row.auth {
    justify-content: space-between;
  }
  .top-row a,
  .top-row .btn-link {
    margin-left: 0;
  }
}
@media (min-width: 641px) {
  .page {
    flex-direction: row;
  }
  .sidebar {
    width: 250px;
    height: 100vh;
    position: sticky;
    top: 0;
  }
  .top-row {
    position: sticky;
    top: 0;
    z-index: 1;
  }
}
.curis-content {
  margin-left: 10px;
  margin-right: 10px;
}
/* Listview element styles */
#listcontainer {
  width: 100%;
}
#list {
  width: 30%;
  margin: 0 auto;
}
.e-listview .e-list-group-item {
  background-color: maroon;
  color: #fff;
  font-size: large;
  text-align: start;
}
.e-listview .e-list-item {
  padding: 0px;
  font-size: 14px;
  text-align: center;
}
.e-listview .e-list-item.e-focused {
  background-color: #000f64;
  color: #fff;
}
.version-info {
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  padding: 15px;
  background: #f7f7f7;
  color: #888;
  text-align: center;
}
.version-info.qa-env {
  background: #b573ff;
  color: #fff;
}
.loading-placeholder {
  width: 100%;
  height: 20px;
  margin-top: 4px;
  animation: shimmer-left-to-right 5s linear infinite;
  background: linear-gradient(-90deg, #eee 10%, #ddd 20%, #eee 30%);
  background-size: 500% 100%;
  border-radius: 3px;
  will-change: background-position;
}
@keyframes shimmer-left-to-right {
  from {
    background-position: 500% 0%;
  }
  to {
    background-position: 0% 0%;
  }
}
.filter-button-set {
  display: flex;
  justify-content: center;
}
.filter-button-set button {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 250px;
  margin: 15px;
  padding: 0px;
  line-height: 1;
  border: 2px solid transparent;
  box-shadow: none !important;
  font-size: 17px;
  transition: 0.3s all ease;
}
.filter-button-set button.active {
  background: #4c8ea5;
  border: 2px solid #32B9E3;
  /*transform: scale(1.05);*/
}
.filter-button-set button.active > i {
  border-left-color: #32B9E3;
  color: #fff;
  text-shadow: 0px 0px 10px #32B9E3;
}
.filter-button-set button:hover:not(.active) {
  background: #5c636a;
}
.filter-button-set button:hover > i,
.filter-button-set button.active > i {
  background: #547987;
  opacity: 1;
}
.filter-button-set button > * {
  padding: 10px 15px;
}
.filter-button-set button > i {
  border-left: 1px solid #fff;
  opacity: 0.75;
  transition: 0.3s all ease;
}
.customer-info {
  display: inline-flex;
  align-items: center;
  height: 59px;
  padding: 7px 25px;
  background: #eee;
  border-right: 2px solid #ddd;
  transition: 0.3s all ease;
}
.customer-info.service-account {
  background: linear-gradient(45deg, #F23B3B 0%, #EF9027 100%);
  color: #fff;
  opacity: 0.75;
}
.customer-info.service-account:hover {
  opacity: 1;
}
.customer-info > div.d-inline-block {
  transition: 0.3s all ease;
}
.customer-info.dimmed > div.d-inline-block {
  opacity: 0.5;
}
.customer-info > * {
  position: relative;
  vertical-align: middle;
}
.customer-info label {
  float: right;
  display: inline-block;
  height: 25px;
  margin-left: 10px;
  padding: 5px 10px;
  line-height: 1;
  background: rgba(255, 255, 255, 0.65);
  border: 1px solid #ddd;
  border-radius: 5px;
  color: #222;
  font-size: 14px;
  font-weight: bold;
}
.sa-slot-expiry {
  display: inline-block;
  line-height: 1;
  height: 59px;
}
.sa-slot-expiry > * {
  display: block;
}
.user-info {
  display: inline-block;
  margin-right: 25px;
  line-height: 1;
  vertical-align: middle;
}
.user-info small {
  color: #777;
  font-size: 0.75em;
}
.mb-750 {
  margin-bottom: 750px;
}
.page-container-view {
  height: 100%;
  margin-top: 15px;
  padding: 25px;
  background: #fff;
  border-radius: 10px;
}
.page-container-view:last-child {
  margin-bottom: 750px;
}
.page-container-view.timeline-vertical {
  max-width: 850px;
  padding: 15px 0px;
}
.page-container-view.timeline-vertical > .padded {
  padding: 0px 75px;
}
.page-container-view .divider {
  margin: 30px 0px;
  border-bottom: 2px solid #e3e4e4;
}
.page-container-view header {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
  padding-bottom: 10px;
  border-bottom: 2px solid #e3e4e4;
}
.page-container-view header.justified {
  justify-content: space-between;
}
.page-container-view header > h1,
.page-container-view header > h2,
.page-container-view header > h3,
.page-container-view header > h4,
.page-container-view header > h5,
.page-container-view header > h6 {
  margin-bottom: 0px;
}
.page-container-view header > i {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  margin-left: 10px;
  background: #f7f7f7;
  border-radius: 50%;
  font-size: 20px;
  text-align: center;
  transition: 0.3s all ease;
}
.page-container-view header > i:hover {
  background: #eee;
  box-shadow: 0px 0px 3px #ddd inset;
}
.page-container-view header .e-checkbox-wrapper {
  min-width: auto;
  margin-top: 0px;
}
.page-container-view header .e-checkbox-wrapper .e-label {
  font-weight: bold;
}
.page-container-view .e-checkbox-wrapper {
  min-width: 150px;
  margin-top: 24px;
  padding: 5px 15px 8px 10px;
  background: #eee;
  border-radius: 10px;
}
.page-container-view .address-card,
.page-container-view .contact-card {
  padding: 15px 0px;
  background: #f7f7f7;
  border: 1px solid #f3f3f3;
  border-radius: 5px;
}
.page-container-view .meta-card {
  padding: 15px 0px;
}
.page-container-view .contact-card {
  display: inline-block;
  width: 300px;
  margin: 5px;
  padding: 15px;
  background: #f7f7f7;
  border: 1px solid #f3f3f3;
}
.page-container-view .commit-container {
  margin: 25px -25px -25px;
  padding: 15px;
  background: #fcfcfc;
  border-top: 2px solid #f7f7f7;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  transition: 0.3s all ease;
}
.page-container-view .commit-container button:not(.auto-width) {
  width: 150px;
  margin-top: 10px;
}
.page-container-view .tile-display button {
  /*
      display: flex;
      align-content: space-between;
      align-items: center;
      */
}
.page-container-view .card {
  padding: 20px;
  background: #f9f9f9;
  border: 1px solid #ddd;
  box-shadow: 0px 0px 3px transparent;
  cursor: pointer;
  transition: 0.3s all ease;
}
.page-container-view .card:hover {
  background: #f4f4f4;
  box-shadow: 0px 0px 3px #aaa;
}
.page-container-view .e-grid tr th.e-firstcell,
.page-container-view .e-grid .e-tableborder {
  border-color: #dee2e6;
}
.page-container-view .e-gridcontent {
  max-height: 400px;
  overflow-y: scroll;
}
.page-container-view .e-tab .e-content header h3 {
  margin: 0px;
  padding: 0px;
}
.text-warning {
  color: #fd7e14 !important;
}
.notif-section {
  margin: 5px 0px;
  padding: 15px;
  border-radius: 5px;
}
.notif-section.tooltip {
  position: relative;
  padding: 5px 15px;
  opacity: 1;
  transition: 0.3s all ease;
}
.notif-section.tooltip.hidden {
  opacity: 0;
  pointer-events: none;
}
.notif-section.tooltip::after {
  content: "";
  position: absolute;
  border-width: 6px;
  border-style: solid;
  border-color: #999;
}
.notif-section.tooltip.info::after {
  border-color: #bbe3f0;
}
.notif-section.tooltip.success::after {
  border-color: #c3eace;
}
.notif-section.tooltip.pointing-up::after {
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 1px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-left-color: transparent;
}
.notif-section.tooltip.pointing-right.hidden {
  transform: translateX(25px) scaleY(0.75);
}
.notif-section.tooltip.pointing-right::after {
  top: 50%;
  left: 100%;
  transform: translateY(-50%);
  margin-left: 1px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
}
.notif-section.tooltip.pointing-down::after {
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-top: 1px;
  border-right-color: transparent;
  border-bottom-color: transparent;
  border-left-color: transparent;
}
.notif-section.tooltip.pointing-left::after {
  top: 50%;
  left: 100%;
  transform: translateY(-50%);
  margin-right: 1px;
  border-top-color: transparent;
  border-bottom-color: transparent;
  border-left-color: transparent;
}
.notif-section.info {
  background: #dfeff5;
  border: 1px solid #97d7ec;
  color: #36B6E0;
}
.notif-section.success {
  background: #dff4e5;
  border: 1px solid #a6e0b7;
  color: #709e7b;
}
.notif-section.warning {
  background: #FFF19A;
  border: 1px solid #D7BA7D;
  color: #222;
}
.notif-section.danger {
  background: #f4e0e2;
  border: 1px solid #FC574E;
  color: #D93B48;
}
.customer-dd-item {
  line-height: 1;
  padding: 10px;
}
.customer-dd-item > b {
  display: block;
  margin-bottom: 5px;
}
#LogoutCard {
  margin: auto;
  align-content: center;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  padding: 20px;
  border-radius: 8px;
  background-color: #fff;
}
.profile-edit-pane {
  transition: 0.3s all ease;
}
.profile-edit-pane:not(.active) {
  opacity: 0.5;
  pointer-events: none;
  transform: scale(0.85);
}
.profile-edit-pane:not(.active)::after {
  content: "";
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  cursor: not-allowed;
  pointer-events: all;
}
.profile-edit-pane:not(.active)::before {
  content: "Please open a profile first; then Details can be managed.";
  position: absolute;
  top: -50px;
  left: 0px;
  display: block;
  width: 100%;
  padding: 15px;
  background: #fff;
  border: 2px solid #ccc;
  border-radius: 3px;
  font-weight: bold;
  opacity: 0;
  text-align: center;
  transform: translateY(50px);
  transition: 0.3s all ease;
  z-index: 1;
}
.profile-edit-pane:not(.active):hover {
  transform: translateY(25px) scale(0.85);
}
.profile-edit-pane:not(.active):hover::before {
  animation: pulse-info 3s infinite;
  opacity: 1;
  transform: none;
}
.profile-edit-pane:not(.active) .commit-container {
  opacity: 0;
}
/* Job Report Sync Statuses */
.jr-sync-container > div.d-flex {
  width: 100%;
  justify-content: center;
  align-items: center;
}
.jr-sync-container > div.d-flex.header {
  background: #eee;
  border-bottom: 5px solid #ddd;
}
.jr-sync-container > div.d-flex.header > i {
  opacity: 0.25;
}
.jr-sync-container > div.d-flex.header h5 {
  margin-bottom: 0px;
}
.jr-sync-container > div.d-flex > div {
  width: 100%;
  max-width: 450px;
  margin: 15px;
  padding: 15px;
  background: #f7f7f7;
  border: 1px solid #eee;
  color: #444;
  text-align: center;
}
.jr-sync-container > div.d-flex > div h6 {
  margin: -15px -15px 10px;
  padding: 10px 15px;
  background: rgba(255, 255, 255, 0.25);
  font-size: 18px;
  font-weight: bold;
}
.jr-sync-container > div.d-flex > div.highlight {
  /*
        & h6 > span {

          background: #FFFF4C;

        }
        */
}
.jr-sync-container > div.d-flex > div.highlight.azure-jr h6 > span {
  padding: 0px 15px;
  background: #FD9844;
}
.jr-sync-container > div.d-flex > div.azure-jr {
  background: #40A2EC;
  color: #fff;
}
.jr-sync-container > div.d-flex > div.azure-jr h6 {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.jr-sync-container > div.d-flex > div.azure-jr h6 small {
  font-size: 13px;
  font-style: italic;
}
.jr-sync-container > div.d-flex > div.azure-jr,
.jr-sync-container > div.d-flex > div .caspio-jr {
  border-radius: 5px;
}
.jr-sync-container > div.d-flex > div.azure-jr > *,
.jr-sync-container > div.d-flex > div .caspio-jr > * {
  display: block;
}
.jr-sync-container > div.d-flex > div.azure-jr button[data-action="copy-value"],
.jr-sync-container > div.d-flex > div .caspio-jr button[data-action="copy-value"] {
  width: 30px;
  height: 30px;
  background: rgba(0, 0, 0, 0.15);
  border: 1px solid rgba(0, 0, 0, 0.25);
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  transition: 0.3s all ease;
}
.jr-sync-container > div.d-flex > div.azure-jr button[data-action="copy-value"]:hover,
.jr-sync-container > div.d-flex > div .caspio-jr button[data-action="copy-value"]:hover {
  background: rgba(0, 0, 0, 0.35);
}
.jr-sync-container > div.d-flex > div.azure-jr button[data-action="copy-value"] > i,
.jr-sync-container > div.d-flex > div .caspio-jr button[data-action="copy-value"] > i {
  transition: 0.3s all ease;
}
.jr-sync-container > div.d-flex > div.azure-jr button[data-action="copy-value"] > i.hidden,
.jr-sync-container > div.d-flex > div .caspio-jr button[data-action="copy-value"] > i.hidden {
  opacity: 0;
}
.jr-sync-container > div.d-flex > div.azure-jr.bg-success,
.jr-sync-container > div.d-flex > div .caspio-jr.bg-success {
  background-color: #2AA16A !important;
}
.jr-sync-container > div.d-flex > div.azure-jr .job-rooms,
.jr-sync-container > div.d-flex > div .caspio-jr .job-rooms {
  margin-top: 15px;
}
.jr-sync-container > div.d-flex > div.azure-jr .job-rooms div,
.jr-sync-container > div.d-flex > div .caspio-jr .job-rooms div {
  padding: 5px;
  background: rgba(0, 0, 0, 0.15);
  border: 1px solid rgba(0, 0, 0, 0.25);
  border-radius: 5px;
}
.jr-sync-container > div.d-flex:not(.header) > div .caspio-jr {
  margin: 15px 0px;
  padding: 15px;
  background: #eee;
  box-shadow: 0px 0px 3px #ccc;
}
.jr-sync-container > div.d-flex:not(.header) > div .caspio-jr:not(:first-child) {
  background: rgba(255, 0, 0, 0.25);
  box-shadow: 0px 0px 3px red;
}
.jr-sync-container > div.d-flex:not(.header) > div .caspio-jr div.icon-container {
  height: 100%;
  margin: -15px;
  padding: 15px 17px;
  background: #e4e4e4;
}
.jr-sync-container > div.d-flex:not(.header) > div .caspio-jr div.icon-container > i {
  margin-top: 5px;
  font-size: 20px;
}
.jr-sync-container > div.d-flex > i {
  margin: 15px 25px;
  opacity: 0.5;
  transform: scaleX(1.25);
  transition: 0.3s all ease;
}
.jr-sync-container > div.d-flex > i:hover {
  opacity: 1;
  transform: scaleX(1.75);
}
